Bug 28127 - POS register details tables should have a transaction date
Summary: POS register details tables should have a transaction date
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 28390
  Show dependency treegraph
 
Reported: 2021-04-10 15:46 UTC by Lucas Gass
Modified: 2021-06-18 16:12 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch adds the accountline timestamp to transactions on the register detail page.
Version(s) released in:
21.05.00


Attachments
Bug 28127: add transaction timestampt to register details tables (2.65 KB, patch)
2021-04-10 15:55 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28127: add transaction timestampt to register details tables (2.70 KB, patch)
2021-04-12 10:05 UTC, David Nind
Details | Diff | Splinter Review
Bug 28127: Add transaction timestamp to register details tables (2.75 KB, patch)
2021-04-17 23:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28127: [20.05.x] Add transaction timestamp to register details tables (2.24 KB, patch)
2021-06-18 16:12 UTC, Lucas Gass
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-04-10 15:46:51 UTC
Some librarians would fine it useful to include the transaction timestamp when viewing the two register detail tables (sales and past_sales). 

The tables are a bit in different than others in Koha, transaction occupy two table rows and the description spans 2 columns. This leaves some table cells unused. Rather than adding a new column to these tables I purpose adding the transaction timestamp into the unused <td> in the Transaction column.
Comment 1 Lucas Gass 2021-04-10 15:55:43 UTC
Created attachment 119435 [details] [review]
Bug 28127: add transaction timestampt to register details tables

To Test:
-Enable POS and setup some registers
-Make some transactions
-Go to Point of Sale > Register details and look at the two tables, sales and past sales
-No timestamp or transaction date
-Apply patch and look again
-See Tranactions dates in the Transaction column
Comment 2 David Nind 2021-04-12 10:05:18 UTC
Created attachment 119447 [details] [review]
Bug 28127: add transaction timestampt to register details tables

To Test:
-Enable POS and setup some registers
-Make some transactions
-Go to Point of Sale > Register details and look at the two tables, sales and past sales
-No timestamp or transaction date
-Apply patch and look again
-See Tranactions dates in the Transaction column

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-04-17 23:47:25 UTC
Created attachment 119809 [details] [review]
Bug 28127: Add transaction timestamp to register details tables

To Test:
-Enable POS and setup some registers
-Make some transactions
-Go to Point of Sale > Register details and look at the two tables, sales and past sales
-No timestamp or transaction date
-Apply patch and look again
-See Tranactions dates in the Transaction column

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-04-21 13:30:29 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-04-29 13:18:31 UTC
(In reply to Katrin Fischer from comment #3)
> Created attachment 119809 [details] [review] [review]
> Bug 28127: Add transaction timestamp to register details tables
> 
> To Test:
> -Enable POS and setup some registers
> -Make some transactions
> -Go to Point of Sale > Register details and look at the two tables, sales
> and past sales
> -No timestamp or transaction date
> -Apply patch and look again
> -See Tranactions dates in the Transaction column
> 
> Signed-off-by: David Nind <david@davidnind.com>
> 
> Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Ah now there are 2 patches, older with "add" and newer with "Add".

But the older has been pushed to master :
https://git.koha-community.org/Koha-community/Koha/commit/572c0981c3f678fbb32476b8060ca79f0e642016

How fix this ?
Comment 6 Andrew Fuerste-Henry 2021-06-18 15:01:50 UTC
I'd love to see this backported to 20.05 if possible. Thanks!
Comment 7 Lucas Gass 2021-06-18 16:12:31 UTC
Created attachment 122166 [details] [review]
Bug 28127: [20.05.x] Add transaction timestamp to register details tables